Page MenuHomePhabricator

Annoying to confirm each file reupload.
Closed, ResolvedPublic

Description

Ignore exists warning when reuploading

Users of commons find it annoying to have to double stage all file uploads or to have to always check "ignore all warnings".

I was thinking it might be a good idea to always ignore the "fileexists" warning when the reupload option is used and the "fileexists" warning is the only warning. Possibly extended to only do this for registered users and given unregistered users the warning at all times.

I have added a small patch to demo this behavior on a wiki.


Version: 1.16.x
Severity: normal

Attached:

Details

Reference
bz23176

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:04 PM
bzimport set Reference to bz23176.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ created this task.Apr 12 2010, 9:08 PM

I am pretty sure that this behaviour is a code update regression.

TheDJ added a comment.Apr 12 2010, 9:18 PM

The "ignore all warnings" used to be checked in the uploadform by default in older versions during reupload. Personally I consider this a bad choice, because than it also ignores duplicates and filetype mismatches. As such though this might be a regression, I do think that the reason this has regressed was valid and should remain. It just needs more work I guess.

The real problem on Commons is not that you get a warning about the existing file, it's that the "Ignore warning and save file anyway" button on the confirmation page is disabled and unclickable, so you literally *can't* save the file except by selecting "Ignore any warnings" in advance.

Note that using the Add Media Wizard (via the mwEmbed) gadget is apparently another way to work around this issue, although it has its own problems (it insists on prepending "== Summary == " to the upload summary, sometimes several times, for some reason).

Disabling JavaScript also seems to make the button usable. Haven't figured out yet which script is disabling it, though.

Bryan.TongMinh wrote:

Ideally only the file-exists error is skipped and all other warnings are just passed through.

Bryan.TongMinh wrote:

(In reply to comment #5)

Ideally only the file-exists error is skipped and all other warnings are just
passed through.

Actually that is supposed to be already supported using a JavaScript called destWarningAck. Did Commons disable this somehow?

The issue is present on the English Wikipedia as well. Though we don't see the "disabled" button, so that must have another cause.

Bryan.TongMinh wrote:

Ah, might this be related to the broken JavaScript bug?

Bryan.TongMinh wrote:

Javascript from bug 22970 deployed. Does this fix the issue?

Bryan.TongMinh wrote:

Should be fixed with r65025

Bryan.TongMinh wrote:

Finally fixed with r65029

Gilles raised the priority of this task from Medium to Unbreak Now!.Dec 4 2014, 10:29 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Medium.Dec 4 2014, 11:20 AM